MyGUI: MyGUI::EditBox Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions | Protected Attributes
MyGUI::EditBox Class Reference

widget description should be here. More...

`#include <MyGUI_EditBox.h>`

Inheritance diagram for MyGUI::EditBox:
[legend]

## Public Types
typedef RTTIBase | Base
typedef EditBox | RTTIBase
Public Types inherited from MyGUI::TextBox
typedef RTTIBase | Base
typedef TextBox | RTTIBase
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| EditBox ()
void | setTextIntervalColour (size_t _start, size_t _count, const Colour &_colour)
size_t | getTextSelectionStart () const
size_t | getTextSelectionEnd () const
size_t | getTextSelectionLength () const
UString | getTextInterval (size_t _start, size_t _count) const
void | setTextSelection (size_t _start, size_t _end)
void | deleteTextSelection ()
UString | getTextSelection () const
bool | isTextSelection () const
void | setTextSelectionColour (const Colour &_colour)
void | setTextCursor (size_t _index)
size_t | getTextCursor () const
void | setCaption (const UString &_value) override
const UString & | getCaption () const override
void | setOnlyText (const UString &_text)
UString | getOnlyText () const
size_t | getTextLength () const
void | setOverflowToTheLeft (bool _value)
| Sets if surplus characters should push characters off the left side rather than ignored.
bool | getOverflowToTheLeft () const
| Returns true if surplus characters will be pushed off the left rather than ignored.
void | setMaxTextLength (size_t _value)
| Sets the max amount of text allowed in the edit field.
size_t | getMaxTextLength () const
| Gets the max amount of text allowed in the edit field.
void | insertText (const UString &_text, size_t _index=ITEM_NONE)
void | addText (const UString &_text)
void | eraseText (size_t _start, size_t _count=1)
void | setEditReadOnly (bool _value)
bool | getEditReadOnly () const
void | setEditPassword (bool _password)
bool | getEditPassword () const
void | setEditMultiLine (bool _value)
bool | getEditMultiLine () const
void | setEditStatic (bool _value)
bool | getEditStatic () const
void | setPasswordChar (Char _char)
void | setPasswordChar (const UString &_value)
Char | getPasswordChar () const
void | setEditWordWrap (bool _value)
bool | getEditWordWrap () const
void | setTabPrinting (bool _value)
bool | getTabPrinting () const
bool | getInvertSelected () const
void | setInvertSelected (bool _value)
void | setPosition (const IntPoint &_point) override
void | setSize (const IntSize &_size) override
void | setCoord (const IntCoord &_coord) override
void | setVisibleVScroll (bool _value)
bool | isVisibleVScroll () const
size_t | getVScrollRange () const
size_t | getVScrollPosition () const
void | setVScrollPosition (size_t _index)
void | setVisibleHScroll (bool _value)
bool | isVisibleHScroll () const
size_t | getHScrollRange () const
size_t | getHScrollPosition () const
void | setHScrollPosition (size_t _index)
void | setFontName (std::string_view _value) override
void | setFontHeight (int _value) override
int | getFontHeight () const override
void | setTextAlign (Align _value) override
void | setTextColour (const Colour &_value) override
IntCoord | getTextRegion () const override
IntSize | getTextSize () const override
void | setTextShadowColour (const Colour &_value) override
void | setTextShadow (bool _value) override
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
Public Member Functions inherited from MyGUI::TextBox
template<typename Type>
bool | isType () const
std::string_view | getFontName () const
Align | getTextAlign () const
const Colour & | getTextColour () const
void | setCaptionWithReplacing (std::string_view _value)
const Colour & | getTextShadowColour () const
bool | getTextShadow () const
Public Member Functions inherited from MyGUI::Widget
template<typename Type>
bool | isType () const
Widget * | createWidgetT (std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _name={})
Widget * | createWidgetT (std::string_view _type, std::string_view _skin, int _left, int _top, int _width, int _height, Align _align, std::string_view _name={})
Widget * | createWidgetRealT (std::string_view _type, std::string_view _skin, const FloatCoord &_coord, Align _align, std::string_view _name={})
Widget * | createWidgetRealT (std::string_view _type, std::string_view _skin, float _left, float _top, float _width, float _height, Align _align, std::string_view _name={})
template<typename T>
T * | createWidget (std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _name={})
template<typename T>
T * | createWidget (std::string_view _skin, int _left, int _top, int _width, int _height, Align _align, std::string_view _name={})
template<typename T>
T * | createWidgetReal (std::string_view _skin, const FloatCoord &_coord, Align _align, std::string_view _name={})
template<typename T>
T * | createWidgetReal (std::string_view _skin, float _left, float _top, float _width, float _height, Align _align, std::string_view _name={})
Widget * | createWidgetT (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
template<typename T>
T * | createWidget (WidgetStyle _style, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
void | setPosition (const IntPoint &_point) override
void | setSize (const IntSize &_size) override
void | setCoord (const IntCoord &_coord) override
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_point)
void | setRealSize (const FloatSize &_size)
void | setRealCoord (const FloatCoord &_coord)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget.
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _alpha)
float | getAlpha () const
void | setInheritsAlpha (bool _inherits)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount () const
Widget * | getChildAt (size_t _index) const
Widget * | findWidget (std::string_view _name)
void | findWidgets (std::string_view _name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord () const
Widget * | getClientWidget ()
const Widget * | getClientWidget () const
void | detachFromWidget (std::string_view _layer={})
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, std::string_view _layer={})
void | changeWidgetSkin (std::string_view _skinName)
void | setWidgetStyle (WidgetStyle _style, std::string_view _layer={})
WidgetStyle | getWidgetStyle () const
void | setProperty (std::string_view _key, std::string_view _value)
virtual size_t | _getItemIndex (Widget *_item) const
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, std::string_view _skinName, Widget *_parent, ICroppedRectangle *_croppedParent, std::string_view _name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer () const
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (std::string_view _state)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
virtual | ~UserData ()=default
void | setUserString (std::string_view _key, std::string_view _value)
std::string_view | getUserString (std::string_view _key) const
const MapString & | getUserStrings () const
bool | clearUserString (std::string_view _key)
bool | isUserString (std::string_view _key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType>
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType>
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
virtual | ~WidgetInput ()=default
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (std::string_view _value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()=default
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
ISubWidgetText * | getSubWidgetText () const
ISubWidgetRect * | getSubWidgetMain () const
void | _setTextureName (std::string_view _texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
void | attachItemToNode (ILayer *_layer, ILayerNode *_node) override
void | detachFromLayer () override
void | upLayerItem () override
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()=default
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()
Public Member Functions inherited from MyGUI::MemberObsolete< EditBox >
void | showVScroll (bool _visible)
bool | isShowVScroll ()
void | showHScroll (bool _visible)
bool | isShowHScroll ()
void | setTextColour (size_t _start, size_t _count, const Colour &_colour)
void | getTextSelect (size_t &_start, size_t &_end) const
UString | getText (size_t _start, size_t _count) const
void | setTextSelect (size_t _start, size_t _end)
void | deleteTextSelect ()
UString | getSelectedText () const
bool | isTextSelect ()
void | setTextSelectColour (const Colour &_colour)

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::TextBox
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Data Fields
EventPair< EventHandle_WidgetVoid, EventHandle_EditPtr > | eventEditSelectAccept
EventPair< EventHandle_WidgetVoid, EventHandle_EditPtr > | eventEditTextChange
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
EventHandle_WidgetVoid | eventWidgetDestroyed
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip

## Protected Member Functions
void | initialiseOverride () override
void | shutdownOverride () override
void | onMouseDrag (int _left, int _top, MouseButton _id) override
void | onKeyLostFocus (Widget *_new) override
void | onKeySetFocus (Widget *_old) override
void | onKeyButtonPressed (KeyCode _key, Char _char) override
void | notifyMouseSetFocus (Widget *_sender, Widget *_old)
void | notifyMouseLostFocus (Widget *_sender, Widget *_new)
void | notifyMousePressed (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseReleased (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseDrag (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseButtonDoubleClick (Widget *_sender)
void | notifyScrollChangePosition (ScrollBar *_sender, size_t _position)
void | notifyMouseWheel (Widget *_sender, int _rel)
void | updateView ()
void | updateViewWithCursor ()
void | eraseView ()
void | setPropertyOverride (std::string_view _key, std::string_view _value) override
Protected Member Functions inherited from MyGUI::TextBox
void | setPropertyOverride (std::string_view _key, std::string_view _value) override
Protected Member Functions inherited from MyGUI::Widget
| ~Widget () override=default
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer, std::string_view _name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point) const
virtual void | baseUpdateEnable ()
ILayerItem * | getLayerItemByPoint (int _left, int _top) const override
const IntCoord & | getLayerItemCoord () const override
template<typename T>
void | assignWidget (T *&_widget, std::string_view _name)
VectorWidgetPtr | getSkinWidgetsByName (std::string_view _name) const
virtual void | onWidgetCreated (Widget *_widget)
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Widget * | _getClientWidget ()
| If there is client widget return it, otherwise return this.
const Widget * | _getClientWidget () const
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseWheel (int _rel)
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (std::string_view _state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_item, bool _deep)
void | detachFromLayerItemNode (bool _deep)
Protected Member Functions inherited from MyGUI::ScrollViewBase
virtual | ~ScrollViewBase ()=default
void | updateScrollSize ()
void | updateScrollPosition ()
virtual void | eraseContent ()

## Protected Attributes
bool | mIsPressed {false}
bool | mIsFocus {false}
bool | mCursorActive {false}
float | mCursorTimer {0}
float | mActionMouseTimer {0}
size_t | mCursorPosition {0}
size_t | mTextLength {0}
size_t | mStartSelect {ITEM_NONE}
size_t | mEndSelect {0}
DequeUndoRedoInfo | mVectorUndoChangeInfo
DequeUndoRedoInfo | mVectorRedoChangeInfo
bool | mMouseLeftPressed {false}
bool | mModeReadOnly {false}
bool | mModePassword {false}
bool | mModeMultiline {false}
bool | mModeStatic {false}
bool | mModeWordWrap {false}
bool | mTabPrinting {false}
UString | mPasswordText
std::string | mOriginalPointer
Char | mCharPassword {'*'}
bool | mOverflowToTheLeft {false}
size_t | mMaxTextLength
ISubWidgetText * | mClientText {nullptr}
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}
Protected Attributes inherited from MyGUI::ScrollViewBase
ScrollBar * | mVScroll {nullptr}
ScrollBar * | mHScroll {nullptr}
Widget * | mScrollViewClient {nullptr}
bool | mVisibleHScroll {true}
bool | mVisibleVScroll {true}
size_t | mVRange {0}
size_t | mHRange {0}
bool | mChangeContentByResize {false}

## Detailed Description

widget description should be here.

Definition at line 25 of file MyGUI_EditBox.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::EditBox::Base

Definition at line 27 of file MyGUI_EditBox.h.

## ◆ RTTIBase

typedef EditBox MyGUI::EditBox::RTTIBase

Definition at line 27 of file MyGUI_EditBox.h.

## Constructor & Destructor Documentation

## ◆ EditBox()

MyGUI::EditBox::EditBox | ( |  | ) |

Definition at line 63 of file MyGUI_EditBox.cpp.

## Member Function Documentation

## ◆ addText()

void MyGUI::EditBox::addText | ( | const UString & | _text | ) |

Add text

Definition at line 1994 of file MyGUI_EditBox.cpp.

## ◆ deleteTextSelection()

void MyGUI::EditBox::deleteTextSelection | ( |  | ) |

Delete selected text

Definition at line 1964 of file MyGUI_EditBox.cpp.

## ◆ eraseText()

void MyGUI::EditBox::eraseText | ( | size_t | _start,
|  | size_t | _count = 1 )

Erase _count characters from _start position

Definition at line 1999 of file MyGUI_EditBox.cpp.

## ◆ eraseView()

void MyGUI::EditBox::eraseView | ( |  | ) |
| protected

Definition at line 1612 of file MyGUI_EditBox.cpp.

## ◆ getCaption()

const UString & MyGUI::EditBox::getCaption | ( |  | ) | const
| overridevirtual

Get edit text with tags

Reimplemented from MyGUI::TextBox.

Definition at line 1643 of file MyGUI_EditBox.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::EditBox::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 27 of file MyGUI_EditBox.h.

## ◆ getEditMultiLine()

bool MyGUI::EditBox::getEditMultiLine | ( |  | ) | const

Get edit multiline mode flag

Definition at line 2234 of file MyGUI_EditBox.cpp.

## ◆ getEditPassword()

bool MyGUI::EditBox::getEditPassword | ( |  | ) | const

Get edit password mode flag

Definition at line 2229 of file MyGUI_EditBox.cpp.

## ◆ getEditReadOnly()

bool MyGUI::EditBox::getEditReadOnly | ( |  | ) | const

Get edit read only mode flag

Definition at line 2224 of file MyGUI_EditBox.cpp.

## ◆ getEditStatic()

bool MyGUI::EditBox::getEditStatic | ( |  | ) | const

Get edit static mode flag

Definition at line 2239 of file MyGUI_EditBox.cpp.

## ◆ getEditWordWrap()

bool MyGUI::EditBox::getEditWordWrap | ( |  | ) | const

Get edit word wrap mode flag

Definition at line 2249 of file MyGUI_EditBox.cpp.

## ◆ getFontHeight()

int MyGUI::EditBox::getFontHeight | ( |  | ) | const
| overridevirtual

Get widget text font height

Reimplemented from MyGUI::TextBox.

Definition at line 1804 of file MyGUI_EditBox.cpp.

## ◆ getHScrollPosition()

size_t MyGUI::EditBox::getHScrollPosition | ( |  | ) | const

Get current position of horizontal scroll (or 0 if no scroll)

Definition at line 2092 of file MyGUI_EditBox.cpp.

## ◆ getHScrollRange()

size_t MyGUI::EditBox::getHScrollRange | ( |  | ) | const

Get range of horizontal scroll (or 0 if no scroll). Range measured in pixels (full text width minus EditBox width). For example if EditBox is 200 pixels width and the longest line is 600 pixels width, then return value is 400 ( = 600 - 200 ).

Definition at line 2087 of file MyGUI_EditBox.cpp.

## ◆ getInvertSelected()

bool MyGUI::EditBox::getInvertSelected | ( |  | ) | const

Get invert selected text color property

Definition at line 2114 of file MyGUI_EditBox.cpp.

## ◆ getMaxTextLength()

size_t MyGUI::EditBox::getMaxTextLength | ( |  | ) | const

Gets the max amount of text allowed in the edit field.

Definition at line 2219 of file MyGUI_EditBox.cpp.

## ◆ getOnlyText()

UString MyGUI::EditBox::getOnlyText | ( |  | ) | const

Get edit text without tags

Definition at line 1984 of file MyGUI_EditBox.cpp.

## ◆ getOverflowToTheLeft()

bool MyGUI::EditBox::getOverflowToTheLeft | ( |  | ) | const

Returns true if surplus characters will be pushed off the left rather than ignored.

Definition at line 2209 of file MyGUI_EditBox.cpp.

## ◆ getPasswordChar()

Char MyGUI::EditBox::getPasswordChar | ( |  | ) | const

Get edit password character

Definition at line 2244 of file MyGUI_EditBox.cpp.

## ◆ getTabPrinting()

bool MyGUI::EditBox::getTabPrinting | ( |  | ) | const

Get edit tab printing wrap mode flag

Definition at line 2259 of file MyGUI_EditBox.cpp.

## ◆ getTextCursor()

size_t MyGUI::EditBox::getTextCursor | ( |  | ) | const

Get text cursor position

Definition at line 2194 of file MyGUI_EditBox.cpp.

## ◆ getTextInterval()

UString MyGUI::EditBox::getTextInterval | ( | size_t | _start,
|  | size_t | _count ) const

Get _count characters with tags from _start position

Definition at line 1102 of file MyGUI_EditBox.cpp.

## ◆ getTextLength()

size_t MyGUI::EditBox::getTextLength | ( |  | ) | const

Get text length excluding tags For example "Hello" length is 5 and "#00FF00Hello!" length is 6

Definition at line 2199 of file MyGUI_EditBox.cpp.

## ◆ getTextRegion()

IntCoord MyGUI::EditBox::getTextRegion | ( |  | ) | const
| overridevirtual

Get text region coordinate

Reimplemented from MyGUI::TextBox.

Definition at line 1697 of file MyGUI_EditBox.cpp.

## ◆ getTextSelection()

UString MyGUI::EditBox::getTextSelection | ( |  | ) | const

Get selected text

Definition at line 1232 of file MyGUI_EditBox.cpp.

## ◆ getTextSelectionEnd()

size_t MyGUI::EditBox::getTextSelectionEnd | ( |  | ) | const

Get index of last selected character or ITEM_NONE if nothing selected

Definition at line 1954 of file MyGUI_EditBox.cpp.

## ◆ getTextSelectionLength()

size_t MyGUI::EditBox::getTextSelectionLength | ( |  | ) | const

Get length of selected text

Definition at line 1974 of file MyGUI_EditBox.cpp.

## ◆ getTextSelectionStart()

size_t MyGUI::EditBox::getTextSelectionStart | ( |  | ) | const

Get index of first selected character or ITEM_NONE if nothing selected

Definition at line 1949 of file MyGUI_EditBox.cpp.

## ◆ getTextSize()

IntSize MyGUI::EditBox::getTextSize | ( |  | ) | const
| overridevirtual

Get text region size

Reimplemented from MyGUI::TextBox.

Definition at line 1704 of file MyGUI_EditBox.cpp.

## ◆ getTypeName()

virtual std::string_view MyGUI::EditBox::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::TextBox.

Reimplemented in MyGUI::ComboBox.

Definition at line 27 of file MyGUI_EditBox.h.

## ◆ getVScrollPosition()

size_t MyGUI::EditBox::getVScrollPosition | ( |  | ) | const

Get current position of vertical scroll (or 0 if no scroll)

Definition at line 2065 of file MyGUI_EditBox.cpp.

## ◆ getVScrollRange()

size_t MyGUI::EditBox::getVScrollRange | ( |  | ) | const

Get range of vertical scroll (or 0 if no scroll). Range measured in pixels (full text heiht minus EditBox height). For example if EditBox is 200 pixels height and 40 lines of text 30 pixels height each (i.e. 600 pixels total), then return value is 400 ( = 600 - 200 ).

Definition at line 2060 of file MyGUI_EditBox.cpp.

## ◆ initialiseOverride()

void MyGUI::EditBox::initialiseOverride | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 69 of file MyGUI_EditBox.cpp.

## ◆ insertText()

void MyGUI::EditBox::insertText | ( | const UString & | _text,
|  | size_t | _index = ITEM_NONE )

Inser text at _index position (text end by default)

Definition at line 1989 of file MyGUI_EditBox.cpp.

## ◆ isTextSelection()

bool MyGUI::EditBox::isTextSelection | ( |  | ) | const

Is any text selected

Definition at line 1959 of file MyGUI_EditBox.cpp.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::EditBox::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 27 of file MyGUI_EditBox.h.

## ◆ isType() [2/2]

virtual bool MyGUI::EditBox::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::TextBox.

Reimplemented in MyGUI::ComboBox.

Definition at line 27 of file MyGUI_EditBox.h.

## ◆ isVisibleHScroll()

bool MyGUI::EditBox::isVisibleHScroll | ( |  | ) | const

Get Show HScroll flag

Definition at line 2269 of file MyGUI_EditBox.cpp.

## ◆ isVisibleVScroll()

bool MyGUI::EditBox::isVisibleVScroll | ( |  | ) | const

Get Show VScroll flag

Definition at line 2264 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseButtonDoubleClick()

void MyGUI::EditBox::notifyMouseButtonDoubleClick | ( | Widget * | _sender | ) |
| protected

Definition at line 215 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseDrag()

void MyGUI::EditBox::notifyMouseDrag | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id )
| protected

Definition at line 175 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseLostFocus()

void MyGUI::EditBox::notifyMouseLostFocus | ( | Widget * | _sender,
|  | Widget * | _new )
| protected

Definition at line 140 of file MyGUI_EditBox.cpp.

## ◆ notifyMousePressed()

void MyGUI::EditBox::notifyMousePressed | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id )
| protected

Definition at line 149 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseReleased()

void MyGUI::EditBox::notifyMouseReleased | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id )
| protected

Definition at line 169 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseSetFocus()

void MyGUI::EditBox::notifyMouseSetFocus | ( | Widget * | _sender,
|  | Widget * | _old )
| protected

Definition at line 131 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseWheel()

void MyGUI::EditBox::notifyMouseWheel | ( | Widget * | _sender,
|  | int | _rel )
| protected

Definition at line 1730 of file MyGUI_EditBox.cpp.

## ◆ notifyScrollChangePosition()

void MyGUI::EditBox::notifyScrollChangePosition | ( | ScrollBar * | _sender,
|  | size_t | _position )
| protected

Definition at line 1711 of file MyGUI_EditBox.cpp.

## ◆ onKeyButtonPressed()

void MyGUI::EditBox::onKeyButtonPressed | ( | KeyCode | _key,
|  | Char | _char )
| overrideprotectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 389 of file MyGUI_EditBox.cpp.

## ◆ onKeyLostFocus()

void MyGUI::EditBox::onKeyLostFocus | ( | Widget * | _new | ) |
| overrideprotectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 283 of file MyGUI_EditBox.cpp.

## ◆ onKeySetFocus()

void MyGUI::EditBox::onKeySetFocus | ( | Widget * | _old | ) |
| overrideprotectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 260 of file MyGUI_EditBox.cpp.

## ◆ onMouseDrag()

void MyGUI::EditBox::onMouseDrag | ( | int | _left,
|  | int | _top,
|  | MouseButton | _id )
| overrideprotectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 253 of file MyGUI_EditBox.cpp.

## ◆ setCaption()

void MyGUI::EditBox::setCaption | ( | const UString & | _value | ) |
| overridevirtual

Set edit text applying tags

Reimplemented from MyGUI::TextBox.

Definition at line 1638 of file MyGUI_EditBox.cpp.

## ◆ setCoord() [1/2]

void MyGUI::EditBox::setCoord | ( | const IntCoord & | _coord | ) |
| overridevirtual

Set widget position and size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 1631 of file MyGUI_EditBox.cpp.

## ◆ setCoord() [2/2]

void MyGUI::Widget::setCoord | ( | int | _left,
|  | int | _top,
|  | int | _width,
|  | int | _height )

See Widget::setCoord(const IntCoord& _coord)

Definition at line 179 of file MyGUI_Widget.cpp.

## ◆ setEditMultiLine()

void MyGUI::EditBox::setEditMultiLine | ( | bool | _value | ) |

Enable or disable edit multiline mode
Multile mode: new line character moves text to new line.
Otherwise new lines replaced with space and all text is in single line.
Disabled (false) by default.

Definition at line 2011 of file MyGUI_EditBox.cpp.

## ◆ setEditPassword()

void MyGUI::EditBox::setEditPassword | ( | bool | _password | ) |

Enable or disable edit password mode
Password mode: you see password chars (*** by default) instead text.
Disabled (false) by default.

Definition at line 1241 of file MyGUI_EditBox.cpp.

## ◆ setEditReadOnly()

void MyGUI::EditBox::setEditReadOnly | ( | bool | _value | ) |

Enable or disable edit read only mode
Read only mode: you can't edit text, but can select it.
Disabled (false) by default.

Definition at line 2004 of file MyGUI_EditBox.cpp.

## ◆ setEditStatic()

void MyGUI::EditBox::setEditStatic | ( | bool | _value | ) |

Enable or disable edit static mode
Static mode is same as read only, but you also can't select text.
Disabled (false) by default.

Definition at line 2028 of file MyGUI_EditBox.cpp.

## ◆ setEditWordWrap()

void MyGUI::EditBox::setEditWordWrap | ( | bool | _value | ) |

Enable or disable edit word wrap mode
Word Wrap mode: move words to new line if they goes out of width. Also in this mode you can't edit or select text.
Disabled (false) by default.

Definition at line 1775 of file MyGUI_EditBox.cpp.

## ◆ setFontHeight()

void MyGUI::EditBox::setFontHeight | ( | int | _value | ) |
| overridevirtual

Set widget text font height. If set to 0 then default height from selected font is used

Reimplemented from MyGUI::TextBox.

Definition at line 1794 of file MyGUI_EditBox.cpp.

## ◆ setFontName()

void MyGUI::EditBox::setFontName | ( | std::string_view | _value | ) |
| overridevirtual

Set widget text font

Reimplemented from MyGUI::TextBox.

Definition at line 1784 of file MyGUI_EditBox.cpp.

## ◆ setHScrollPosition()

void MyGUI::EditBox::setHScrollPosition | ( | size_t | _index | ) |

Set current position of horizontal scroll

Definition at line 2097 of file MyGUI_EditBox.cpp.

## ◆ setInvertSelected()

void MyGUI::EditBox::setInvertSelected | ( | bool | _value | ) |

Enable or disable inverting color of selected text
Enabled (true) by default

Definition at line 2119 of file MyGUI_EditBox.cpp.

## ◆ setMaxTextLength()

void MyGUI::EditBox::setMaxTextLength | ( | size_t | _value | ) |

Sets the max amount of text allowed in the edit field.

Definition at line 2214 of file MyGUI_EditBox.cpp.

## ◆ setOnlyText()

void MyGUI::EditBox::setOnlyText | ( | const UString & | _text | ) |

Set edit text without tags

Definition at line 1979 of file MyGUI_EditBox.cpp.

## ◆ setOverflowToTheLeft()

void MyGUI::EditBox::setOverflowToTheLeft | ( | bool | _value | ) |

Sets if surplus characters should push characters off the left side rather than ignored.

Definition at line 2204 of file MyGUI_EditBox.cpp.

## ◆ setPasswordChar() [1/2]

void MyGUI::EditBox::setPasswordChar | ( | Char | _char | ) |

Set edit password character ('*' by default)

Definition at line 1574 of file MyGUI_EditBox.cpp.

## ◆ setPasswordChar() [2/2]

void MyGUI::EditBox::setPasswordChar | ( | const UString & | _value | ) |

Set edit password character ('*' by default). First character of string used.

Definition at line 2042 of file MyGUI_EditBox.cpp.

## ◆ setPosition() [1/2]

void MyGUI::EditBox::setPosition | ( | const IntPoint & | _point | ) |
| overridevirtual

Set widget position (position of left top corner)

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 1607 of file MyGUI_EditBox.cpp.

## ◆ setPosition() [2/2]

void MyGUI::Widget::setPosition | ( | int | _left,
|  | int | _top )

See Widget::setPosition(const IntPoint& _pos)

Definition at line 175 of file MyGUI_Widget.cpp.

## ◆ setPropertyOverride()

void MyGUI::EditBox::setPropertyOverride | ( | std::string_view | _key,
|  | std::string_view | _value )
| overrideprotectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 2125 of file MyGUI_EditBox.cpp.

## ◆ setSize() [1/2]

void MyGUI::EditBox::setSize | ( | const IntSize & | _size | ) |
| overridevirtual

Set widget size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 1624 of file MyGUI_EditBox.cpp.

## ◆ setSize() [2/2]

void MyGUI::Widget::setSize | ( | int | _width,
|  | int | _height )

See Widget::setSize(const IntSize& _size)

Definition at line 177 of file MyGUI_Widget.cpp.

## ◆ setTabPrinting()

void MyGUI::EditBox::setTabPrinting | ( | bool | _value | ) |

Enable or disable tab printing mode
Tab printing mode: when editing text and pressing Tab key it displayed. If this mode disabled Tab key ignored.
Disabled (false) by default.

Definition at line 2254 of file MyGUI_EditBox.cpp.

## ◆ setTextAlign()

void MyGUI::EditBox::setTextAlign | ( | Align | _value | ) |
| overridevirtual

Set widget text align

Reimplemented from MyGUI::TextBox.

Definition at line 1678 of file MyGUI_EditBox.cpp.

## ◆ setTextColour()

void MyGUI::EditBox::setTextColour | ( | const Colour & | _value | ) |
| overridevirtual

Set widget text colour

Reimplemented from MyGUI::TextBox.

Definition at line 1689 of file MyGUI_EditBox.cpp.

## ◆ setTextCursor()

void MyGUI::EditBox::setTextCursor | ( | size_t | _index | ) |

Set text cursor position

Definition at line 907 of file MyGUI_EditBox.cpp.

## ◆ setTextIntervalColour()

void MyGUI::EditBox::setTextIntervalColour | ( | size_t | _start,
|  | size_t | _count,
|  | const Colour & | _colour )

Colour interval

Definition at line 1944 of file MyGUI_EditBox.cpp.

## ◆ setTextSelection()

void MyGUI::EditBox::setTextSelection | ( | size_t | _start,
|  | size_t | _end )

Set selected text interval

Parameters

  _start | of interval
  _end | of interval

Definition at line 928 of file MyGUI_EditBox.cpp.

## ◆ setTextSelectionColour()

void MyGUI::EditBox::setTextSelectionColour | ( | const Colour & | _colour | ) |

Colour selected text

Definition at line 1969 of file MyGUI_EditBox.cpp.

## ◆ setTextShadow()

void MyGUI::EditBox::setTextShadow | ( | bool | _value | ) |
| overridevirtual

Set widget text shadow

Reimplemented from MyGUI::TextBox.

Definition at line 2293 of file MyGUI_EditBox.cpp.

## ◆ setTextShadowColour()

void MyGUI::EditBox::setTextShadowColour | ( | const Colour & | _value | ) |
| overridevirtual

Set widget text shadow colour

Reimplemented from MyGUI::TextBox.

Definition at line 2285 of file MyGUI_EditBox.cpp.

## ◆ setVisibleHScroll()

void MyGUI::EditBox::setVisibleHScroll | ( | bool | _value | ) |

Show HScroll when text size larger than EditBox

Definition at line 2054 of file MyGUI_EditBox.cpp.

## ◆ setVisibleVScroll()

void MyGUI::EditBox::setVisibleVScroll | ( | bool | _value | ) |

Show VScroll when text size larger than EditBox

Definition at line 2048 of file MyGUI_EditBox.cpp.

## ◆ setVScrollPosition()

void MyGUI::EditBox::setVScrollPosition | ( | size_t | _index | ) |

Set current position of vertical scroll

Definition at line 2070 of file MyGUI_EditBox.cpp.

## ◆ shutdownOverride()

void MyGUI::EditBox::shutdownOverride | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 121 of file MyGUI_EditBox.cpp.

## ◆ updateView()

void MyGUI::EditBox::updateView | ( |  | ) |
| protected

Definition at line 1809 of file MyGUI_EditBox.cpp.

## ◆ updateViewWithCursor()

void MyGUI::EditBox::updateViewWithCursor | ( |  | ) |
| protected

Definition at line 1815 of file MyGUI_EditBox.cpp.

## Field Documentation

## ◆ eventEditSelectAccept

EventPair<EventHandle_WidgetVoid, EventHandle_EditPtr> MyGUI::EditBox::eventEditSelectAccept

Event : Enter pressed (Ctrl+enter in multiline mode).
signature : void method(MyGUI::EditBox* _sender)

Parameters

  _sender | widget that called this event

Definition at line 242 of file MyGUI_EditBox.h.

## ◆ eventEditTextChange

EventPair<EventHandle_WidgetVoid, EventHandle_EditPtr> MyGUI::EditBox::eventEditTextChange

Event : Text changed.
signature : void method(MyGUI::EditBox* _sender)

Parameters

  _sender | widget that called this event

Definition at line 248 of file MyGUI_EditBox.h.

## ◆ mActionMouseTimer

float MyGUI::EditBox::mActionMouseTimer {0}
| protected

Definition at line 346 of file MyGUI_EditBox.h.

## ◆ mCharPassword

Char MyGUI::EditBox::mCharPassword {'*'}
| protected

Definition at line 377 of file MyGUI_EditBox.h.

## ◆ mClientText

ISubWidgetText* MyGUI::EditBox::mClientText {nullptr}
| protected

Definition at line 382 of file MyGUI_EditBox.h.

## ◆ mCursorActive

bool MyGUI::EditBox::mCursorActive {false}
| protected

Definition at line 344 of file MyGUI_EditBox.h.

## ◆ mCursorPosition

size_t MyGUI::EditBox::mCursorPosition {0}
| protected

Definition at line 349 of file MyGUI_EditBox.h.

## ◆ mCursorTimer

float MyGUI::EditBox::mCursorTimer {0}
| protected

Definition at line 345 of file MyGUI_EditBox.h.

## ◆ mEndSelect

size_t MyGUI::EditBox::mEndSelect {0}
| protected

Definition at line 355 of file MyGUI_EditBox.h.

## ◆ mIsFocus

bool MyGUI::EditBox::mIsFocus {false}
| protected

Definition at line 342 of file MyGUI_EditBox.h.

## ◆ mIsPressed

bool MyGUI::EditBox::mIsPressed {false}
| protected

Definition at line 340 of file MyGUI_EditBox.h.

## ◆ mMaxTextLength

size_t MyGUI::EditBox::mMaxTextLength
| protected

Definition at line 380 of file MyGUI_EditBox.h.

## ◆ mModeMultiline

bool MyGUI::EditBox::mModeMultiline {false}
| protected

Definition at line 365 of file MyGUI_EditBox.h.

## ◆ mModePassword

bool MyGUI::EditBox::mModePassword {false}
| protected

Definition at line 364 of file MyGUI_EditBox.h.

## ◆ mModeReadOnly

bool MyGUI::EditBox::mModeReadOnly {false}
| protected

Definition at line 363 of file MyGUI_EditBox.h.

## ◆ mModeStatic

bool MyGUI::EditBox::mModeStatic {false}
| protected

Definition at line 366 of file MyGUI_EditBox.h.

## ◆ mModeWordWrap

bool MyGUI::EditBox::mModeWordWrap {false}
| protected

Definition at line 367 of file MyGUI_EditBox.h.

## ◆ mMouseLeftPressed

bool MyGUI::EditBox::mMouseLeftPressed {false}
| protected

Definition at line 361 of file MyGUI_EditBox.h.

## ◆ mOriginalPointer

std::string MyGUI::EditBox::mOriginalPointer
| protected

Definition at line 375 of file MyGUI_EditBox.h.

## ◆ mOverflowToTheLeft

bool MyGUI::EditBox::mOverflowToTheLeft {false}
| protected

Definition at line 379 of file MyGUI_EditBox.h.

## ◆ mPasswordText

UString MyGUI::EditBox::mPasswordText
| protected

Definition at line 372 of file MyGUI_EditBox.h.

## ◆ mStartSelect

size_t MyGUI::EditBox::mStartSelect {ITEM_NONE}
| protected

Definition at line 354 of file MyGUI_EditBox.h.

## ◆ mTabPrinting

bool MyGUI::EditBox::mTabPrinting {false}
| protected

Definition at line 369 of file MyGUI_EditBox.h.

## ◆ mTextLength

size_t MyGUI::EditBox::mTextLength {0}
| protected

Definition at line 351 of file MyGUI_EditBox.h.

## ◆ mVectorRedoChangeInfo

DequeUndoRedoInfo MyGUI::EditBox::mVectorRedoChangeInfo
| protected

Definition at line 359 of file MyGUI_EditBox.h.

## ◆ mVectorUndoChangeInfo

DequeUndoRedoInfo MyGUI::EditBox::mVectorUndoChangeInfo
| protected

Definition at line 358 of file MyGUI_EditBox.h.

The documentation for this class was generated from the following files:

- MyGUI_EditBox.h
- MyGUI_EditBox.cpp